package internalFrame;

import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

import javax.swing.JDesktopPane;
import javax.swing.JFrame;
import javax.swing.JInternalFrame;
import javax.swing.UIManager;

import com.japisoft.xmlpad.XMLContainer;

/**
 * Here a demo for using JXMLPad inside internal frame
 * @author (c) 2003 JAPISoft / Alexandre Brillant
 * @version 1.0 */
public class InternalFrame implements WindowListener {

    public void windowActivated(WindowEvent e) {
    }

    public void windowClosed(WindowEvent e) {
    }

    public void windowClosing(WindowEvent e) {
	// Freeing all inner resources
	editor1.dispose();
	editor2.dispose();
	System.exit( 0 );
    }

    public void windowDeactivated(WindowEvent e) {
    }

    public void windowDeiconified(WindowEvent e) {
    }

    public void windowIconified(WindowEvent e) {
    }

    public void windowOpened(WindowEvent e) {
    }

    public InternalFrame() {
	init();
    }

    private XMLContainer editor1;
    private XMLContainer editor2;

    public void init() {
	JFrame frame = new JFrame();
	frame.addWindowListener( this );
	JDesktopPane dp = new JDesktopPane();

	// Add two inner frame

	JInternalFrame editorFrameOne = new JInternalFrame();
	editorFrameOne.setTitle( "My editor 1" );

	editor1 = new XMLContainer();

	editor1.setText( "<?xml version='1.0'?>\n<test></test>" );
	editorFrameOne.getContentPane().add( editor1.getView() );
	editorFrameOne.setResizable( true );

	JInternalFrame editorFrameTwo = new JInternalFrame();
	editorFrameTwo.setTitle( "My editor 2" );

	editor2 = new XMLContainer();
	editor2.setText( "<?xml version='1.0'?>\n<test2></test2>" );
	editorFrameTwo.getContentPane().add( editor2.getView() );
	editorFrameTwo.setResizable( true );

	dp.add( editorFrameOne );
	dp.add( editorFrameTwo );

	editorFrameOne.setSize( 300, 300 );
	editorFrameTwo.setSize( 300, 300 );
		
	editorFrameTwo.setLocation( 300, 100 );
		
	editorFrameOne.setVisible( true );
	editorFrameTwo.setVisible( true );
		
	frame.getContentPane().add( dp );
	frame.setSize( 600, 500 );

	frame.setVisible( true );
    }

    public static void main( String[] args ) {
	try {
	    UIManager.setLookAndFeel( 
				     UIManager.getSystemLookAndFeelClassName() );
	} catch( Exception exc ) {
	}
	new InternalFrame();
    }

}
